package manalichricard.android.uoc.edu.discaparking.model;

import java.io.Serializable;

public class Parking implements Serializable {

    private String id;
    private String adress;
    private String policePhoneNumber;
    private String picture;
    private String warning;
    private Boolean isWarning;
    private Boolean rightLoad;
    private Boolean leftLoad;
    private Boolean rearLoad;
    private Boolean bateryParking;
    private Boolean lineParking;
    private Integer places;
    private Double latitude;
    private Double longitude;

    public Parking() {
    }

    public Parking(String id, String adress, String policePhoneNumber, String picture, String warning, Boolean isWarning,
                   Boolean rightLoad, Boolean leftLoad, Boolean rearLoad, Boolean bateryParking, Boolean lineParking,
                   Integer places, Double latitude, Double longitude) {
        this.id = id;
        this.adress = adress;
        this.policePhoneNumber = policePhoneNumber;
        this.picture = picture;
        this.warning = warning;
        this.isWarning = isWarning;
        this.rightLoad = rightLoad;
        this.leftLoad = leftLoad;
        this.rearLoad = rearLoad;
        this.bateryParking = bateryParking;
        this.lineParking = lineParking;
        this.places = places;
        this.latitude = latitude;
        this.longitude = longitude;
    }

    public String getId() {
        return id;
    }

    public String getAdress() {
        return adress;
    }

    public String getPolicePhoneNumber() {
        return policePhoneNumber;
    }

    public String getPicture() {
        return picture;
    }

    public String getWarning() {
        return warning;
    }

    public Boolean getIsWarning() {
        return isWarning;
    }

    public Boolean getRightLoad() {
        return rightLoad;
    }

    public Boolean getLeftLoad() {
        return leftLoad;
    }

    public Boolean getRearLoad() {
        return rearLoad;
    }

    public Boolean getBateryParking() {
        return bateryParking;
    }

    public Boolean getLineParking() {
        return lineParking;
    }

    public Integer getPlaces() {
        return places;
    }

    public Double getLatitude() {
        return latitude;
    }

    public Double getLongitude() {
        return longitude;
    }

    public void setIsWarning(Boolean isWarning){
        this.isWarning = isWarning;
    }

    public void setWarning(String warning){
        this.warning = warning;
    }
}
